org.apache.sling.discovery.impl.common.resource

## Class EstablishedClusterView

- java.lang.Object
- - org.apache.sling.discovery.commons.providers.DefaultClusterView
  - - org.apache.sling.discovery.commons.providers.spi.LocalClusterView
    - - org.apache.sling.discovery.impl.common.resource.EstablishedClusterView

All Implemented Interfaces:
  org.apache.sling.discovery.ClusterView

    public class EstablishedClusterView
    extends org.apache.sling.discovery.commons.providers.spi.LocalClusterView

A ClusterView which represents an established view and contains all members as stored in the repository at the according location

### Constructor Summary

Constructors
Constructor and Description
`EstablishedClusterView(Config config, View view, String localId)` Construct a new established cluster view

### Method Summary

### Methods inherited from class org.apache.sling.discovery.commons.providers.spi.LocalClusterView

`getLocalClusterSyncTokenId`

### Methods inherited from class org.apache.sling.discovery.commons.providers.DefaultClusterView

`addInstanceDescription, equals, getId, getInstances, getLeader, getLocalInstance, hashCode, removeInstanceDescription, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EstablishedClusterView

    public EstablishedClusterView(Config config,
                                  View view,
                                  String localId)

Construct a new established cluster view